POST
/
v1
/
uploads
Upload a project
curl --request POST \
  --url https://platform.jobbit.uk/v1/uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/gzip' \
  --data '"<string>"'
import requests

url = "https://platform.jobbit.uk/v1/uploads"

payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/gzip"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/gzip'},
body: JSON.stringify('<string>')
};

fetch('https://platform.jobbit.uk/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('<string>'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/gzip"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://platform.jobbit.uk/v1/uploads"

payload := strings.NewReader("\"<string>\"")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/gzip")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://platform.jobbit.uk/v1/uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/gzip")
.body("\"<string>\"")
.asString();
require 'uri'
require 'net/http'

url = URI("https://platform.jobbit.uk/v1/uploads")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/gzip'
request.body = "\"<string>\""

response = http.request(request)
puts response.read_body
{
  "upload_id": "up_4e7a1c90b3d2",
  "size_bytes": 3482112
}
{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "payload_too_large",
"message": "the request body is larger than 209715200 bytes",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "unsupported_media_type",
"message": "send the project as a .tar.gz archive in the request body",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…

Body

application/gzip

The raw archive. Send Content-Type: application/gzip.

The project as a gzip-compressed tar archive.

Response

The stored upload.

upload_id
string
required

Pass this as upload_id when you create an app or redeploy.

size_bytes
integer
required

Size of the archive in bytes.